Cassandra.set_keyspace_result (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.set_keyspace_result

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.set_keyspace_result

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.set_keyspace_result>, org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.set_keyspace_result
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.set_keyspace_result>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.set_keyspace_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `InvalidRequestException` | `ire`
    `static java.util.Map<Cassandra.set_keyspace_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `set_keyspace_result()`
    `set_keyspace_result(Cassandra.set_keyspace_result other)` Performs a deep copy on other.
    `set_keyspace_result(InvalidRequestException ire)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.set_keyspace_result other)`
    `Cassandra.set_keyspace_result` | `deepCopy()`
    `boolean` | `equals(Cassandra.set_keyspace_result that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.set_keyspace_result._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(Cassandra.set_keyspace_result._Fields field)`
    `InvalidRequestException` | `getIre()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.set_keyspace_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIre()` Returns true if field ire is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(Cassandra.set_keyspace_result._Fields field, java.lang.Object value)`
    `Cassandra.set_keyspace_result` | `setIre(InvalidRequestException ire)`
    `void` | `setIreIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetIre()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ire

          public InvalidRequestException ire

    - #### metaDataMap

          public static final java.util.Map<Cassandra.set_keyspace_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### set_keyspace_result

          public set_keyspace_result()

    - #### set_keyspace_result

          public set_keyspace_result(InvalidRequestException ire)

    - #### set_keyspace_result

          public set_keyspace_result(Cassandra.set_keyspace_result other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.set_keyspace_result deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>`

    - #### getIre

          public InvalidRequestException getIre()

    - #### setIre

          public Cassandra.set_keyspace_result setIre(InvalidRequestException ire)

    - #### unsetIre

          public void unsetIre()

    - #### isSetIre

          public boolean isSetIre()

      Returns true if field ire is set (has been assigned a value) and false otherwise

    - #### setIreIsSet

          public void setIreIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.set_keyspace_result._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.set_keyspace_result._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.set_keyspace_result._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.set_keyspace_result that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.set_keyspace_result other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.set_keyspace_result>`

    - #### fieldForId

          public Cassandra.set_keyspace_result._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_result,Cassandra.set_keyspace_result._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation